aboutsummaryrefslogtreecommitdiff
path: root/src/run.bash
diff options
context:
space:
mode:
authorRuss Cox <rsc@golang.org>2011-02-14 09:27:02 -0500
committerRuss Cox <rsc@golang.org>2011-02-14 09:27:02 -0500
commitb9f94768f90dfc7f5d4bf7cf9ccf64b9190d0e93 (patch)
tree59df44dc66d2d13ee63cd1643e8b4718f76016a3 /src/run.bash
parent6b526eb300ad607fbe12f2f779d5c1639cefe109 (diff)
downloadgo-b9f94768f90dfc7f5d4bf7cf9ccf64b9190d0e93.tar.xz
build: run test/ directory first
R=adg, r CC=golang-dev https://golang.org/cl/4183047
Diffstat (limited to 'src/run.bash')
-rwxr-xr-xsrc/run.bash31
1 files changed, 12 insertions, 19 deletions
diff --git a/src/run.bash b/src/run.bash
index f8f662b95f..a3e90cc4f8 100755
--- a/src/run.bash
+++ b/src/run.bash
@@ -30,26 +30,17 @@ xcd() {
builtin cd "$GOROOT"/src/$1
}
-maketest() {
- for i
- do
- (
- xcd $i
- if $rebuild; then
- gomake clean
- time gomake
- gomake install
- fi
- gomake test
- ) || exit $?
- done
-}
-
-maketest \
- pkg \
+if $rebuild; then
+ (xcd pkg
+ gomake clean
+ time gomake
+ gomake install
+ ) || exit $i
+fi
-# all of these are subtly different
-# from what maketest does.
+(xcd pkg
+gomake test
+) || exit $?
(xcd pkg/sync;
if $rebuild; then
@@ -126,3 +117,5 @@ done
./run
) || exit $?
+echo
+echo ALL TESTS PASSED